Bug 5615 - ICE in size_binop, at fold-const.c:1914
Summary: ICE in size_binop, at fold-const.c:1914
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 3.0.2
: P3 normal
Target Milestone: ---
Assignee: Richard Henderson
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-02-06 10:06 UTC by bas
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bas 2002-02-06 10:06:00 UTC
bas@marilyn:~ > cat ice.c
void f(int a, struct {int b[a];} c){}
bas@marilyn:~ > gcc -c ice.c
ice.c:1: warning: structure defined inside parms
ice.c:1: warning: anonymous struct declared inside parameter list
ice.c:1: warning: its scope is only this definition or declaration, which is probably not what you want.
ice.c: In function `f':
ice.c:1: Internal compiler error in size_binop, at fold-const.c:1914
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

Release:
3.0.2

Environment:
System: Linux marilyn 2.4.2-2 #1 Sun Apr 8 20:41:30 EDT 2001 i686 unknown
Architecture: i686

host: i686-pc-linux-gnu
build: i686-pc-linux-gnu
target: i686-pc-linux-gnu
configured with: /tmp/gcc-3.0.2/configure

How-To-Repeat:
see above
Comment 1 Richard Henderson 2002-02-10 18:55:15 UTC
Responsible-Changed-From-To: unassigned->rth
Responsible-Changed-Why: Mine.
Comment 2 Richard Henderson 2002-02-10 18:55:15 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: size_binop called with sizetype and ssizetype arguments.
    Patch in progress.
Comment 3 Richard Henderson 2002-02-20 10:36:36 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: http://gcc.gnu.org/ml/gcc-patches/2002-02/msg01412.html
Comment 4 Richard Henderson 2002-02-20 18:34:30 UTC
From: rth@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: c/5615
Date: 20 Feb 2002 18:34:30 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	rth@gcc.gnu.org	2002-02-20 10:34:30
 
 Modified files:
 	gcc            : ChangeLog expr.h 
 Added files:
 	gcc/testsuite/gcc.c-torture/compile: 20020210-1.c 
 
 Log message:
 	PR c/5615
 	* expr.h (ARGS_SIZE_TREE): Convert size.var to ssizetype.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.13101&r2=1.13102
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/expr.h.diff?cvsroot=gcc&r1=1.108&r2=1.109
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/compile/20020210-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1